from sqlalchemy import Column, Integer, String, Text, Numeric
from sqlalchemy.sql import func
from sqlalchemy import DateTime
from app.db.base import Base


class Destination(Base):
    __tablename__ = "destinations"

    id = Column(Integer, primary_key=True, index=True)
    name = Column(String, nullable=False, index=True)
    country = Column(String, nullable=False)
    city = Column(String, nullable=False)
    description = Column(Text)
    latitude = Column(Numeric(10, 8))
    longitude = Column(Numeric(11, 8))
    category = Column(String)  # city, beach, mountain, cultural, adventure, etc.
    rating = Column(Numeric(3, 2))
    image_url = Column(String)
    created_at = Column(DateTime(timezone=True), server_default=func.now())
    updated_at = Column(DateTime(timezone=True), onupdate=func.now())
